export function c(input: Array<string | boolean> | object): string {
  const array = Array.isArray(input)
    ? input.filter((el: any) => typeof el === 'string')
    : Object.keys(input).filter((key: keyof object) => !!input[key]);
  return array.join(' ');
}

export function s(styles: object): string {
  return Object.keys(styles)
    .filter(
      (key: keyof object) => typeof styles[key] === 'number' || (typeof styles[key] === 'string' && !!styles[key])
    )
    .map((key: keyof object) => `${key}:${styles[key]}`)
    .join(';');
}

export function t(text: string): string {
  // If you want to implement frontend translation, begin here.
  return text;
}
